@import "@/assets/scss/global.scss";
.import-students{
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;

    background: #FFF;
    border-radius: 24px;

    .layout-content {
        width: 100%;
        height: calc(100% - 60px);
        padding: 24px;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: flex-start;
        gap: 10px;
        flex: 1;

        .header-back {
            display: flex;
            flex-direction: row;
            gap: 10px;
            justify-content: flex-start;
            align-items: center;
            cursor: pointer;
            height: 24px;
    
            .icon-back {
                height: 100%;
                display: flex;
                justify-content: center;
                align-items: center;
    
                svg {
                    rotate: 180deg;
                    height: 20px;
                    width: auto;
                    path{
                        fill: #8E91A0;
                    }
                }
            }
    
            .text-back {
                font-weight: 500;
                font-size: 16px;
                line-height: 24px;
                color: #8E91A0;
            }
        }
        [class*='import-fail-wrapper']{
            width: 100%;
        }
        .layout-import{
            width: 100%;
            height: 100%;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            gap: 20px;

            .box-import{
                display: flex;
                flex-direction: column;
                gap: 10px;
                justify-content: center;
                align-items: center;
                
                &.box-drag{
                    background: #fff;
                    height: 60%;
                    width: 60%;
                    border-radius: 16px;
                    border: 2px dashed $grey-color2;
                    padding: 10px;
                }
                
                &.hover{
                    border-color: $secondary-color;
                    background: $secondary-color2;
                }
                span{
                    font-weight: 600;
                    font-size: 14px;
                    line-height: 24px;
                    color: #00081D;
                }

                
                button {
                    font-weight: 400;
                    font-size: 14px;
                    min-width: 140px;
                }

                .has-file{
                    height: 50px;
                    display: flex;
                    flex-direction: row;
                    align-items: center;
                    gap: 10px;
                    border-radius: 10px;
                    border: 1px dashed #D6D6D6;
                    padding: 0 10px;
                    
                    span{
                        font-weight: 500;
                        font-size: 13px;
                        line-height: 24px;
                        text-align: center;
                        color: #0088FF;
                    }

                    .del-icon{
                        cursor: pointer;
                        svg{
                            path{
                                fill: #ED2A2A;
                            }
                        }
                    }
                }

                .err-text {
                    font-weight: 500;
                    font-size: 14px;
                    line-height: 24px;
                    color: #ff424e;
                }
            }
            .box-description{
                li{
                    font-weight: 500;
                    font-size: 13px;
                    line-height: 18px;
                    list-style-type: disc;
                    color: #7C88A6;
                    a{
                        font-weight: 500;
                        font-size: 13px;
                        line-height: 18px;
                        text-decoration: underline !important;
                        color: #2F80ED;
                    }
                }
            }

            .loading{
                height: 54px;
                width: 54px;
                border-radius: 50%;
                border: 5px solid #EB575725;
                border-right-color: #EB5757;
                animation: rotate 1s linear infinite;
            }
            .text-loading{
                font-weight: 400;
                font-size: 14px;
                line-height: 20px;
                color: #00081D;
            }
        }

    }

    .layout-footer {
        height: 60px;
        width: 100%;
        display: flex;
        flex-direction: row;
        gap: 15px;
        justify-content: center;
        align-items: center;
        box-shadow: 0px -4px 54px rgba(0, 0, 0, 0.1);
        border-radius: 0px 0px 20px 20px;

        &.hide{
            display: none;
        }
        button {
            min-width: 130px;
            height: 40px;
            cursor: pointer;

            &.cancel {
                border: 1px solid #8E91A0;
                color: #8E91A0;
                box-shadow: none;

                &:hover {
                    background: #FFF;
                }
            }

            &.upload{
                &.disabled{
                    background: #D8D8D8;
                    box-shadow: 0px 12px 18px rgba(174, 174, 174, 0.25);
                    color:#FFF;
                    pointer-events: none;
                }
            }
        }
    }
}